routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AgentController;
use App\Http\Controllers\AnnouncementController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
// display list of announcement 
Route::get('/', [App\Http\Controllers\AnnouncementController::class, 'list'])->name('home');

//add the resource route of Agent
Route::resource("agents", AgentController::class);

//add the ressource route of announcement
Route::resource("announcements", AnnouncementController::class);

resources/views/base.blade.php
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.88.1">
    <title>@yield("title")</title>
    <!-- Bootstrap core CSS -->
    <link href="{{asset('css/bootstrap.min.css')}}" rel="stylesheet" >
    <!--Custom style for this template-->
    <link href="{{asset('css/app.css')}}" rel="stylesheet">
    <!--select2 -->
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" /> 
    <!-- Favicons -->
    <link rel="icon" href="{{asset('img/logon.jpg')}}">
    <!-- range slider of price with nouislider -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/noUiSlider/14.6.3/nouislider.min.css" rel="stylesheet" />
    <meta name="theme-color" content="#7952b3">
    <!--to add the style in template that extend base template-->
    @yield("styles")
</head>
<body>   
<header>
    @include('header')
</header>

<main>
    <div class="container">
        @include('flash-message')
        @yield('content')
    </div>
</main>

<footer class="page-footer font-small text-white bg-dark mt-4 pt-3">
    @include('footer')
</footer>
    <!-- JS -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="{{asset('js/boostrap.min.js')}}" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.9/js/all.js" integrity="sha384-8iPTk2s/jMVj81dnzb/iFR2sdA7u06vHJyyLlAd4snFpCl/SnyUjRrbdJsw1pGIl" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <!--to add the script in template that extend base template-->
    <script src="{{asset('js/select2agent.js')}}"></script>
    <!--to add the range slider with noUiSlider-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/noUiSlider/14.6.3/nouislider.min.js"></script>
    @yield("scripts")
</body>
</html>

resources/views/flash-message.blade.php
<!-- success message flash -->
@if ($message = Session::get('success'))
    <div class="alert alert-success alert-block">  
        <strong>{{ $message }}</strong>
    </div>
@endif

<!-- error message flash -->    
@if ($message = Session::get('error'))
    <div class="alert alert-danger alert-block">
        <strong>{{ $message }}</strong>
    </div>
@endif

<!--  warning message flash -->     
@if ($message = Session::get('warning'))
    <div class="alert alert-warning alert-block">
        <strong>{{ $message }}</strong>
    </div>
@endif

<!-- info message flash -->     
@if ($message = Session::get('info'))   
    <div class="alert alert-info alert-block">
        <strong>{{ $message }}</strong>
    </div>   
@endif

resources/views/footer.blade.php
    <!-- Social buttons -->
        <ul class="list-unstyled list-inline text-center text-white">
            <li class="list-inline-item">
                <a class="btn-floating btn-fb mx-1 text-white">
                    <i class="fab fa-facebook-f"> </i>
                </a>
            </li>
            <li class="list-inline-item">
                <a class="btn-floating btn-tw mx-1 text-white">
                    <i class="fab fa-twitter"> </i>
                </a>
            </li>
            <li class="list-inline-item">
                <a class="btn-floating btn-gplus mx-1 text-white">
                    <i class="fab fa-google-plus-g"> </i>
                </a>
            </li>
            <li class="list-inline-item">
                <a class="btn-floating btn-li mx-1 text-white">
                    <i class="fab fa-linkedin-in"> </i>
                </a>
            </li>
            <li class="list-inline-item">
                <a class="btn-floating btn-dribbble mx-1 text-white">
                    <i class="fab fa-dribbble"> </i>
                </a>
            </li>
        </ul>
    <!-- Social buttons -->
    <div class="footer-copyright text-center py-3">
        <strong>Contact</strong><br>
        Siège social : 332 chemin du Bioolay - 73000 CHAMBERY
            <br> 
        06.23.25.47.70
            <br>
        <a class="go-up" href="#top"><i class="fas fa-arrow-circle-up fa-2x"></i></a>
    </div>
    

resources/views/header.blade.php
<a id="top"></a>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" href="{{route('home')}}"> <img id="logoMenu" src="{{asset('img/logon-ConvertImage.jpg')}}"  alt="logo"></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="{{route('home')}}">Nos annonces</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Admin
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <li><a class="dropdown-item" href="{{route('announcements.index')}}">Annonce</a></li>
                        <li><a class="dropdown-item" href="{{route('agents.index')}}">Agent immobilier</a></li>
                    </ul>
                </li>
                </ul>
            </div>
        </div>
    </nav>

resources/views/home.blade.php
@extends('base')
@section("title", "Listes des annonces")
@section('content')

<!-- Start Intro Single-->
<section class="announcement_intro">
  <div class="container">
    <div class="row">
      <div class="col-md-12 col-lg-8">
        <div class="title-single-box">
          <h1 class="title-single">Nos incroyables annonces</h1>
          
        </div>
      </div>
    </div>
  </div>
</section>
<!-- End Intro Single-->

<!-- We browse the collection of announcement   -->
<div class="album py-5 ">
    <div class="container">
      <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
        @foreach ($announcements as $announcement)    
        <div class="col">
          <div class="card shadow-sm">
            <img src="{{asset('img/'.$announcement->picture)}}"  alt="picture of the announcement" height=225 width=100%>
            <div class="card-body">
              <span class="price-a">{{round($announcement->price, 2)}} €</span>
              <p class="card-text">
                <div class="card-info d-flex justify-content-around">
                  <div>
                    <h4 class="card-info-title"><img id="logoMenu" src="{{asset('img/area.svg')}}"  alt="surface"></h4>
                    <span>{{$announcement->area}} m<sup>2</sup></span>
                  </div>
                  <div>
                    <h4 class="card-info-title"><img id="logoMenu" src="{{asset('img/room_number.svg')}}"  alt="number of room"></h4>
                    <span>{{$announcement->roomsNumber-1}} Chambre(s)</span>
                  </div>
                </div>
              </p>
              <div class="d-flex justify-content-between align-items-center">
                <div class="btn-group">
                  <a class="btn btn-sm btn-outline-secondary click" href="{{ route('announcements.show', $announcement ) }}" role="button">En savoir plus &raquo;</a>
                </div>
                <small class="text-muted">{{$announcement->reference}}</small>
              </div>
            </div>  
          </div>
        </div>
        @endforeach
      </div>
    </div>                        
</div>
@endsection